codeunit 50016 ElementHelper
{

    procedure AddCustomElement(elementName: Text; elementValue: Text; attributes: XmlAttributeCollection; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
        attr: XmlAttribute;
    begin
        pXmlElement := XmlElement.Create(elementName);
        pXmlElement.Add(XmlText.Create(elementValue));
        foreach attr in attributes do begin
            pXmlElement.SetAttribute(attr.Name, attr.Value);
        end;
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    procedure AddCustomElement(elementName: Text; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        pXmlElement := XmlElement.Create(elementName);
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    procedure AddCustomElement(elementName: Text; var responseDoc: XmlDocument);
    var
        pXmlElement: XmlElement;
        xmlRoot: XmlElement;
    begin
        pXmlElement := XmlElement.Create(elementName);
        pXmlElement.Add(XmlText.Create('extendable'));
        responseDoc.GetRoot(xmlRoot);
        xmlRoot.Add(pXmlElement);
    end;
}