codeunit 50011 DynamicwebEcomDataSubscriber
{
    EventSubscriberInstance = StaticAutomatic;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnBeforeExecuteGetEcomDataRequest', '', true, true)]
    procedure OnBeforeExecuteGetEcomDataRequest(var requestDoc: XmlDocument; var stopExecution: Boolean; var responseDoc: XmlDocument; var XMLCurrentNode: XmlNode);
    var
        pXmlElement: XmlElement;
        xmlRoot: XmlElement;
    begin
        // Modify request xml to your needs
        requestDoc.GetRoot(xmlRoot);
        xmlRoot.Attributes().Set('test', 'value');

        // // Set stopExecution to cancel base application processing the request        
        // stopExecution := true;

        // // If stopExecution set to true you can Set custom xml for the response output        
        // otherwise base app will append its output to responseDoc
        pXmlElement := XmlElement.Create('OnBeforeExecuteGetEcomDataRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseDoc.GetRoot(xmlRoot);
        xmlRoot.Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnAfterExecuteGetEcomDataRequest', '', true, true)]
    procedure OnAfterExecuteGetEcomDataRequest(var requestDoc: XmlDocument; var responseDoc: XmlDocument; var XMLCurrentNode: XmlNode);
    var
        pXmlElement: XmlElement;
        xmlRoot: XmlElement;
    begin
        // Add custom xml for the response output        
        pXmlElement := XmlElement.Create('OnAfterExecuteGetEcomDataRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseDoc.GetRoot(xmlRoot);
        xmlRoot.Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnBeforeGetCountriesRequest', '', true, true)]
    procedure OnBeforeGetCountriesRequest(var requestDoc: XmlDocument; var stopExecution: Boolean; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Modify requestDoc request xml to your needs

        // Set stopExecution := true to cancel base application processing the request        
        // stopExecution := true;

        // If stopExecution set to true you can Set custom xml for the response output        
        // otherwise base app will append its output to responseDoc
        pXmlElement := XmlElement.Create('OnBeforeGetCountriesRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnAfterGetCountriesRequest', '', true, true)]
    procedure OnAfterGetCountriesRequest(var requestDoc: XmlDocument; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Add custom xml for the response output        
        pXmlElement := XmlElement.Create('OnAfterGetCountriesRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnBeforeGetCurrenciesRequest', '', true, true)]
    procedure OnBeforeGetCurrenciesRequest(var requestDoc: XmlDocument; var stopExecution: Boolean; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Modify requestDoc request xml to your needs

        // Set stopExecution := true to cancel base application processing the request        
        // stopExecution := true;

        // If stopExecution set to true you can Set custom xml for the response output        
        // otherwise base app will append its output to responseDoc
        pXmlElement := XmlElement.Create('OnBeforeGetCurrenciesRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnAfterGetCurrenciesRequest', '', true, true)]
    procedure OnAfterGetCurrenciesRequest(var requestDoc: XmlDocument; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Add custom xml for the response output        
        pXmlElement := XmlElement.Create('OnAfterGetCurrenciesRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnBeforeGetLanguagesRequest', '', true, true)]
    procedure OnBeforeGetLanguagesRequest(var requestDoc: XmlDocument; var stopExecution: Boolean; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Modify requestDoc request xml to your needs

        // Set stopExecution := true to cancel base application processing the request        
        // stopExecution := true;

        // If stopExecution set to true you can Set custom xml for the response output        
        // otherwise base app will append its output to responseDoc
        pXmlElement := XmlElement.Create('OnBeforeGetLanguagesRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnAfterGetLanguagesRequest', '', true, true)]
    procedure OnAfterGetLanguagesRequest(var requestDoc: XmlDocument; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Add custom xml for the response output        
        pXmlElement := XmlElement.Create('OnAfterGetLanguagesRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnBeforeGetManufacturersRequest', '', true, true)]
    procedure OnBeforeGetManufacturersRequest(var requestDoc: XmlDocument; var stopExecution: Boolean; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Modify requestDoc request xml to your needs

        // Set stopExecution := true to cancel base application processing the request        
        // stopExecution := true;

        // If stopExecution set to true you can Set custom xml for the response output        
        // otherwise base app will append its output to responseDoc
        pXmlElement := XmlElement.Create('OnBeforeGetManufacturersRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnAfterGetManufacturersRequest', '', true, true)]
    procedure OnAfterGetManufacturersRequest(var requestDoc: XmlDocument; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Add custom xml for the response output        
        pXmlElement := XmlElement.Create('OnAfterGetManufacturersRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnBeforeGetUnitsRequest', '', true, true)]
    procedure OnBeforeGetUnitsRequest(var requestDoc: XmlDocument; var stopExecution: Boolean; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Modify requestDoc request xml to your needs

        // Set stopExecution := true to cancel base application processing the request        
        // stopExecution := true;

        // If stopExecution set to true you can Set custom xml for the response output        
        // otherwise base app will append its output to responseDoc
        pXmlElement := XmlElement.Create('OnBeforeGetUnitsRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::DynamicwebEcomDataPublisher, 'OnBeforeGetUnitsRequest', '', true, true)]
    procedure OnAfterGetUnitsRequest(var requestDoc: XmlDocument; var responseRootNode: XmlNode);
    var
        pXmlElement: XmlElement;
    begin
        // Add custom xml for the response output        
        pXmlElement := XmlElement.Create('OnAfterGetUnitsRequest');
        pXmlElement.Add(XmlText.Create('extendable'));
        responseRootNode.AsXmlElement().Add(pXmlElement);
    end;
}